%define language it-IT
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Italian
%define name mozilla-thunderbird-enigmail-%{locale}
%define version 1.0.2
%define release 0.1mdk
%define _buildroot %{_tmppath}/%{name}-buildroot
%define enigmail_version 0.9x
%define mozillalibdir %{_libdir}/mozilla-thunderbird-%{version}
%define xpidir http://www.mozilla-enigmail.org/downloads/lang/%{enigmail_version}

Summary: %{langname} interface for Thunderbird
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/enigmail-%language-%{enigmail_version}.xpi
License: GPL
Group: Networking/Mail
Url: http://www.mozilla.org/products/thunderbird/
BuildRoot: %{_buildroot}
PreReq: mozilla-thunderbird-enigmail = %{version}
BuildArch: noarch
Requires: locales-%{locale}

%description
%{langname} localisation for Mozilla Enigmail in Thunderbird

%prep
%setup -q -c

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp chrome/enigmail-%language.jar %buildroot%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/lang/
cat << EOF > %buildroot%{mozillalibdir}/chrome/lang/lang-%name.txt
locale,install,url,jar:resource:/chrome/enigmail-%language.jar!/locale/%language/enigmail/
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root)
%{mozillalibdir}/chrome/*.jar
%{mozillalibdir}/chrome/lang/*.txt

%post -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%postun -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%changelog
* Thu Mar 24 2005 Yuri Bugelli <yuri.bugelli@virgilio.it> 1.0.2-0.1mdk
- New version 1.0.2


* Mon Mar 14 2005 Yuri Bugelli <yuri.bugelli@virgilio.it> 1.0-0.1mdk
- initial package based on the mozilla-firefox locales
